# https://github.com/alex/pretend/archive/v1.0.9.tar.gz
%define module pretend

Name:           python-%{module}
Version:        1.0.9
Release:        %mkrel 2
Summary:        A library for stubbing in Python

Group:          Development/Python
License:        BSD
URL:            https://github.com/alex/pretend
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Pretend is a library to make stubbing with Python easier.

%package -n python3-%{module}
Summary:        A library for stubbing in Python
License:        BSD
Group:          Development/Python

%description -n python3-%{module}
Pretend is a library to make stubbing with Python3 easier.

%prep
%setup -q -n %{module}-%{version}
rm -rf *.egg-info
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc README.rst LICENSE.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc README.rst LICENSE.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 1.0.9-2pclos2022
- rebuild against updates

* Tue Apr 17 2018 marcin82 <fixxer1982 at gmail.com> 1.0.9-1pclos2018
- update

* Sat Sep 19 2015 bb <bb> 1.0.8-1pclos2015
- import
